#include <stdio.h>
#include "lex.yy.h"
#include "parser.tab.h"

extern int yyparse (void);
extern int yydebug;

/* This function is invoked by yyparse()
whenever it runs into an error. */
void yyerror(char const *message){
  printf("Error: %s\n", message);
}

int main(int argc, char const *argv[]) {
  yydebug = 0;
  yyin = fopen(argv[1], "r");
  int result_code = yyparse();
  fclose(yyin);
  return result_code;
}
